﻿using Microsoft.Extensions.Configuration;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CSS_Solution.Request
{
    public class HttpClientPool
    {
        HttpClient[] httpClients = new HttpClient[5];
        HttpClientHandler[] httpClientHandlers = new HttpClientHandler[5];
        public HttpClientPool()
        {
            for (int i = 0; i < httpClients.Length; i++)
                if (i == (int)Request_Type.to_course)
                {
                    httpClientHandlers[i] = new HttpClientHandler() { AllowAutoRedirect = false };
                    httpClients[i] = new HttpClient(httpClientHandlers[i]);
                }
                else
                {
                    httpClientHandlers[i] = new HttpClientHandler();
                    httpClients[i] = new HttpClient(httpClientHandlers[i]);
                }
        }
        public HttpClient GetHttpClient(Request_Type request_Type) => httpClients[(int)request_Type];
        public HttpClientHandler GetHttpClientHandler(Request_Type request_Type) => httpClientHandlers[(int)request_Type];
    }


}
